from thd_json.projection_geometry import get_projection_geometry_dict
import numpy as np


def main():
    focal_spot_position_mm = np.array([100.0, 50.0, 75.0])  # Example 3D position
    detector_center_position_mm = np.array([200.0, 150.0, 250.0])  # Example 3D position
    detector_center_orientation_quat = np.array(
        [0.0, 0.0, 0.0, 1.0]
    )  # Quaternion (w, x, y, z)

    result = get_projection_geometry_dict(
        focal_spot_position_mm=focal_spot_position_mm,
        detector_center_position_mm=detector_center_position_mm,
        detector_center_orientation_quat=detector_center_orientation_quat,
        header=None,
    )

    # Print the result
    print(result)


if __name__ == "__main__":
    main()
